Uses of Class
com.eqixiac.equinix.fabric.model.json.creators.ConnectionOperator.ConnectionUpdater
Packages that use ConnectionOperator.ConnectionUpdater
Package
Description
Fabric domain model interfaces for the Equinix Java SDK.
-
Uses of ConnectionOperator.ConnectionUpdater in com.eqixiac.equinix.fabric.model
Methods in com.eqixiac.equinix.fabric.model that return ConnectionOperator.ConnectionUpdater -
Uses of ConnectionOperator.ConnectionUpdater in com.eqixiac.equinix.fabric.model.json.creators
Methods in com.eqixiac.equinix.fabric.model.json.creators that return ConnectionOperator.ConnectionUpdaterModifier and TypeMethodDescriptionConnectionOperator.ConnectionUpdater.dryRun()Marks this update as a dry run:ConnectionOperator.ConnectionUpdater.save()sends the same JSON Patch toPATCH /fabric/v4/connections/{uuid}with thedryRun=truequery parameter — per the Fabric v4 spec, an "option to verify that API calls will succeed".ConnectionOperator.ConnectionUpdater.patch(PatchOperation operation) ConnectionOperator.ConnectionUpdater.termLength(Integer termLength) Replaces the order term length (/order/termLength), e.g. to upgrade an on-demand connection to a term-based connection (Fabric release R2025.5).Edits the VLAN tag of an EVPL connection side (Fabric release "EVPL VLAN edit"): replaces/{aSide|zSide}/accessPoint/linkProtocol/vlanTag.Edits the QinQ VLAN tags of a connection side: replaces.../linkProtocol/vlanSTagand.../linkProtocol/vlanCTag. -
Uses of ConnectionOperator.ConnectionUpdater in com.eqixiac.equinix.fabric.model.wrappers
Methods in com.eqixiac.equinix.fabric.model.wrappers that return ConnectionOperator.ConnectionUpdater